using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsLicense {
        public FmsLicense() {
            CmUserToLicense = new HashSet<CmUserToLicense>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int LicenseId { get; set; }
        [Required]
        [StringLength(52)]
        public string Name { get; set; }
        [Required]
        [StringLength(52)]
        public string IssuingOffice { get; set; }
        public int? BusinessFieldId { get; set; }
        [StringLength(52)]
        public string EducationalInstitute { get; set; }
        [StringLength(256)]
        public string Note { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey("BusinessFieldId")]
        [InverseProperty("FmsLicense")]
        public virtual CmBusinessField CmBusinessField { get; set; }
        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsLicense))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("FmsLicense")]
        public virtual ICollection<CmUserToLicense> CmUserToLicense { get; set; }
    }
}
